Bug 841719 - [abrt] kde-workspace-4.8.4-1.fc17: QTextEngine::itemize: Process /usr/bin/systemsettings was killed by signal 11 (SIGSEGV)
[abrt] kde-workspace-4.8.4-1.fc17: QTextEngine::itemize: Process /usr/bin/sys...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ktp-kded-integration-module (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
abrt_hash:4ee94206a1ecc47a99b59196cad...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-19 21:15 EDT by Diogo Leal
Modified: 2014-02-05 07:02 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:02:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: event_log (20.49 KB, text/plain)
2012-07-19 21:15 EDT, Diogo Leal
no flags Details
File: backtrace (185.49 KB, text/plain)
2012-07-19 21:15 EDT, Diogo Leal
no flags Details
File: maps (59.12 KB, text/plain)
2012-07-19 21:15 EDT, Diogo Leal
no flags Details
File: dso_list (13.26 KB, text/plain)
2012-07-19 21:15 EDT, Diogo Leal
no flags Details
File: build_ids (5.77 KB, text/plain)
2012-07-19 21:16 EDT, Diogo Leal
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 312957 None None None Never

  None (edit)
Description Diogo Leal 2012-07-19 21:15:37 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/systemsettings -caption 'System Settings' --icon preferences-system
comment:        I'm click in system settings > Instant messaging and VoIP > General
crash_function: QTextEngine::itemize
executable:     /usr/bin/systemsettings
kernel:         3.4.4-5.fc17.x86_64
pid:            3054
pwd:            /home/diogo/Documents
time:           Thu 19 Jul 2012 10:03:39 PM BRT
uid:            1000
username:       diogo
xsession_errors: 

backtrace:      Text file, 189945 bytes
build_ids:      Text file, 5904 bytes
dso_list:       Text file, 13581 bytes
event_log:      Text file, 20978 bytes
maps:           Text file, 60542 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/diogo/1

core_backtrace:
:f8939a2cb04dfc17a2c6cac4e110d4d0162dffa4 0x41c974 QTextEngine::itemize libQtGui.so.4 -
:f8939a2cb04dfc17a2c6cac4e110d4d0162dffa4 0x41ec55 QTextEngine::attributes libQtGui.so.4 -
:f8939a2cb04dfc17a2c6cac4e110d4d0162dffa4 0x42af36 QTextLine::layout_helper libQtGui.so.4 -
:f8939a2cb04dfc17a2c6cac4e110d4d0162dffa4 0x4c2286 QCommonStylePrivate::viewItemSize libQtGui.so.4 -
:f8939a2cb04dfc17a2c6cac4e110d4d0162dffa4 0x4c2d8f QCommonStylePrivate::viewItemLayout libQtGui.so.4 -
:f8939a2cb04dfc17a2c6cac4e110d4d0162dffa4 0x4c8da5 QCommonStyle::sizeFromContents libQtGui.so.4 -
:5ad64452243fa76bc7fefcf82d443d8ee148e5fb 0x62e2a Oxygen::Style::sizeFromContents oxygen.so -
:f8939a2cb04dfc17a2c6cac4e110d4d0162dffa4 0x7718a4 QStyledItemDelegate::sizeHint libQtGui.so.4 -
:f8939a2cb04dfc17a2c6cac4e110d4d0162dffa4 0x6ef8a7 QListViewPrivate::itemSize libQtGui.so.4 -
:f8939a2cb04dfc17a2c6cac4e110d4d0162dffa4 0x6f006c QListView::updateGeometries libQtGui.so.4 -
:f8939a2cb04dfc17a2c6cac4e110d4d0162dffa4 0x219b36 QWidget::event libQtGui.so.4 -
:f8939a2cb04dfc17a2c6cac4e110d4d0162dffa4 0x5c3b46 QFrame::event libQtGui.so.4 -
:f8939a2cb04dfc17a2c6cac4e110d4d0162dffa4 0x6d1163 QAbstractItemView::viewportEvent libQtGui.so.4 -
:12bc9d1ff0b278c3f555e94fd58241efd214c7fd 0x176556 QCoreApplicationPrivate::sendThroughObjectEventFilters libQtCore.so.4 -
:f8939a2cb04dfc17a2c6cac4e110d4d0162dffa4 0x1ca34c QApplicationPrivate::notify_helper libQtGui.so.4 -
:f8939a2cb04dfc17a2c6cac4e110d4d0162dffa4 0x1ce7fa QApplication::notify libQtGui.so.4 -
:e10fea1727f1a4d72d218923f68651eb3bfaaacb 0x246756 KApplication::notify libkdeui.so.5 -
:12bc9d1ff0b278c3f555e94fd58241efd214c7fd 0x1763ee QCoreApplication::notifyInternal libQtCore.so.4 -
:f8939a2cb04dfc17a2c6cac4e110d4d0162dffa4 0x25d664 sendEvent libQtGui.so.4 -

environ:
:XDG_VTNR=1
:SSH_AGENT_PID=726
:XDG_SESSION_ID=1
:DM_CONTROL=/var/run/xdmctl
:HOSTNAME=Gondor
:XDG_MENU_PREFIX=kde4-
:SHELL=/bin/bash
:XDM_MANAGED=method=classic
:HISTSIZE=10000
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/diogo/.gtkrc-2.0:/home/diogo/.gtkrc-2.0-kde4:/home/diogo/.kde/share/config/gtkrc-2.0
:GS_LIB=
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:KDE_FULL_SESSION=true
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=diogo
:HISTFILESIZE=10000
:XCURSOR_SIZE=0
:SSH_AUTH_SOCK=/tmp/ssh-rawcQylpu703/agent.703
:DESKTOP_SESSION=kde-plasma
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin
:MAIL=/var/spool/mail/diogo
:PWD=/home/diogo
:EDITOR=vim
:KDE_SESSION_UID=1000
:LANG=en_US.UTF-8
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HISTCONTROL=ignoreboth
:SHLVL=2
:XDG_SEAT=seat0
:HOME=/home/diogo
:KDE_SESSION_VERSION=4
:XCURSOR_THEME=ComixCursors-White-Small-Slim
:LOGNAME=diogo
:QTLIB=/usr/lib64/qt-3.3/lib
:VISUAL=vim
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-HHMJA7bXG6,guid=7ede0dc674a865eac6e1920000000028
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/diogo
:DISPLAY=:0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins:/home/diogo/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/
:XAUTHORITY=/tmp/kde-diogo/xauth-1000-_0
:_=/usr/libexec/kde4/start_kdeinit_wrapper
:KDE_MULTIHEAD=false
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/860,unix/unix:/tmp/.ICE-unix/860
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/diogo/.gtkrc:/home/diogo/.kde/share/config/gtkrc
:DESKTOP_STARTUP_ID=Gondor;1342746213;964719;868_TIME7231587

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 29428                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       29428                29428                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:pipe:[16002]
:pos:	0
:flags:	00
:1:/home/diogo/.xsession-errors
:pos:	376226
:flags:	0102001
:2:/home/diogo/.xsession-errors
:pos:	376226
:flags:	0102001
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:pipe:[509412]
:pos:	0
:flags:	02004000
:5:socket:[507798]
:pos:	0
:flags:	02004002
:6:pipe:[509412]
:pos:	0
:flags:	02004001
:7:socket:[509416]
:pos:	0
:flags:	02004002
:8:socket:[509419]
:pos:	0
:flags:	02000002
:9:/var/tmp/kdecache-diogo/ksycoca4
:pos:	0
:flags:	02100000

smolt_data:
:
:
:General
:=================================
:UUID: 9c893ebc-155d-492e-ac35-122dbafd1062
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 3193.43
:CPU Vendor: AuthenticAMD
:CPU Model: AMD E-350 Processor
:CPU Stepping: 0
:CPU Family: 20
:CPU Model Num: 1
:Number of CPUs: 2
:CPU Speed: 1600
:System Memory: 3699
:System Swap: 535
:Vendor: SAMSUNG ELECTRONICS CO., LTD.
:System: RV415/RV515 01PI
:Form factor: Laptop
:Kernel: 3.4.4-5.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4098:17296:5197:50569) pci, ahci, STORAGE, SB7x0/SB8x0/SB9x0 SATA Controller [IDE mode]
:(4130:5392:5197:50569) pci, None, HOST/PCI, Family 14h Processor Root Complex
:(4098:4884:5197:50569) pci, snd_hda_intel, MULTIMEDIA, Wrestler HDMI Audio [Radeon HD 6250/6310]
:(4098:38914:5197:50569) pci, radeon, VIDEO, AMD Radeon HD 6310 GraphicsATI
:(4130:5912:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 6
:(4130:5892:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 4
:(4130:5913:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 7
:(4130:5910:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 5
:(4130:5889:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 1
:(4130:5888:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 0
:(4130:5891:0:0) pci, k10temp, HOST/PCI, Family 12h/14h Processor Function 3
:(4130:5890:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 2
:(5348:18215:5199:29049) pci, bcma-pci-bridge, NETWORK, BCM4313 802.11b/g/n Wireless LAN Controller
:(4098:17312:4098:0) pci, pcieport, PCI/PCI, SB700/SB800 PCI to PCI bridge (PCIE port 0)
:(4098:17313:4098:0) pci, pcieport, PCI/PCI, SB700/SB800 PCI to PCI bridge (PCIE port 1)
:(4098:17314:4098:0) pci, pcieport, PCI/PCI, N/A
:(4098:17315:4098:0) pci, pcieport, PCI/PCI, N/A
:(4098:17285:5197:50569) pci, piix4_smbus, SERIAL, SBx00 SMBus Controller
:(4098:17309:5197:50569) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17283:5197:50569) pci, snd_hda_intel, MULTIMEDIA, SBx00 Azalia (Intel HDA)
:(4098:17305:5197:50569) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:17302:5197:50569) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17303:5197:50569) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17302:5197:50569) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17303:5197:50569) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4332:33128:5197:50569) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(4130:5394:4130:4660) pci, pcieport, PCI/PCI, Family 14h Processor Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda1 / ext4 4096 4096 3656808 853851 817234 917504 693742 693742
:/dev/sda2 /home ext4 4096 4096 74253407 10850195 7133056 18587648 18311385 18311385
:

var_log_messages:
:Jul 19 22:03:40 Gondor abrt[3055]: Saved core dump of pid 3054 (/usr/bin/systemsettings) to /var/spool/abrt/ccpp-2012-07-19-22:03:39-3054 (23433216 bytes)
:Jul 19 22:03:52 Gondor abrt[3071]: Not dumping repeating crash in '/usr/bin/systemsettings'
Comment 1 Diogo Leal 2012-07-19 21:15:44 EDT
Created attachment 599267 [details]
File: event_log
Comment 2 Diogo Leal 2012-07-19 21:15:50 EDT
Created attachment 599268 [details]
File: backtrace
Comment 3 Diogo Leal 2012-07-19 21:15:53 EDT
Created attachment 599269 [details]
File: maps
Comment 4 Diogo Leal 2012-07-19 21:15:59 EDT
Created attachment 599270 [details]
File: dso_list
Comment 5 Diogo Leal 2012-07-19 21:16:01 EDT
Created attachment 599271 [details]
File: build_ids
Comment 6 Volker Fröhlich 2013-01-15 17:27:45 EST
* Set up fresh F18 KDE spin
* Update everything and reboot
* Open system settings and go to "Instant messaging"
* Click the "General" button on the left side
* Reproducible Crash


backtrace_rating: 4
Package: kde-workspace-4.9.4-2.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 7 Rex Dieter 2013-01-16 07:52:58 EST
Reassigning to ktp-common-internals (for now), though my brief perusal of the backtrace seems to show this happens deep in Qt/oxygen layout code.
Comment 8 Martin Klapetek 2013-01-16 08:12:38 EST
I /think/ this was fixed few days ago by http://quickgit.kde.org/?p=ktp-kded-module.git&a=commit&h=dc02d76c6b3e47eb78f7a99e0ed4eb9eff1ea49e
Comment 9 Daniel Vrátil 2013-01-16 08:18:22 EST
Yup, this is exactly the issue fixed by the commit Martin links to.
Comment 10 Rex Dieter 2013-01-16 10:27:08 EST
yay, thanks!
Comment 11 Fedora End Of Life 2013-12-21 03:39:47 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2014-02-05 07:02:20 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.